package cn.reghao.tnb.file.app.zdisk.model.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * @author reghao
 * @date 2025-09-06 16:11:57
 */
public enum AlbumType {
    // 摄像头合集
    cam(1),
    // 图片合集
    image(2),
    // 视频合集
    video(3);

    private final int value;
    AlbumType(int value) {
        this.value = value;
    }

    private static Map<Integer, AlbumType> map = new HashMap<>();
    static {
        for (AlbumType albumType : AlbumType.values()) {
            map.put(albumType.value, albumType);
        }
    }

    public String getName() {
        return this.name();
    }

    /**
     * 提供给 @ValidEnum 调用
     *
     * @param
     * @return
     * @date 2025-09-06 16:09:449
     */
    public int getValue() {
        return value;
    }

    public static AlbumType getByCode(int code) {
        return map.get(code);
    }
}
